New port: math/tmv: Fast, intuitive linear algebra library for C++
ClosedPublic

Authored by yuri on Dec 30 2017, 6:40 AM.

Details

Summary

Fast, intuitive linear algebra library for C++

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
yuri created this revision.Dec 30 2017, 6:40 AM
mat added inline comments.Dec 30 2017, 8:42 AM
math/tmv/Makefile
26–27 ↗(On Diff #37219)

You could simply set:

MAKEFILE= ${FILESDIR}/Makefile
29–33 ↗(On Diff #37219)

As the Makefile is provided by the port, any reason not to do all this in files/Makefile ?

For example, use ${BSD_INSTALL_LIB} to install the .so, saving the trouble of stripping afterwards.

yuri marked 2 inline comments as done.Dec 30 2017, 9:06 AM
mat added inline comments.Dec 30 2017, 9:16 AM
math/tmv/files/Makefile
30–31 ↗(On Diff #37228)

This is always stripping which is bad. Any reason not to use ${BSD_INSTALL_LIB} here ?

yuri marked an inline comment as done.Dec 30 2017, 9:20 AM
yuri added a comment.Jan 10 2018, 6:17 PM

Everything has been resolved here.

tcberner accepted this revision.Jan 19 2018, 9:34 PM
This revision is now accepted and ready to land.Jan 19 2018, 9:34 PM
This revision was automatically updated to reflect the committed changes.